use {
	gtk4 :: { HeaderBar , Orientation :: * , prelude :: * } ,
	libadwaita :: { * , ViewSwitcherPolicy :: * } ,
} ;



pub fn create_window (
	application : & Application ,
	header_bar : & HeaderBar ,
	collection_view_stack : & ViewStack ,
) -> ApplicationWindow {
	let content = gtk4 :: Box :: builder () . orientation (Vertical) . build () ;
	content . append (header_bar) ;
	content . append (collection_view_stack) ;

	ApplicationWindow :: builder ()
		. application (application)
		. content ( & content )
		. title ("Zoödex")
		. build ()
}

pub fn create_header_bar ( collection_view_stack : & ViewStack ) -> HeaderBar {
	HeaderBar :: builder ()
		. title_widget (
			& create_collection_view_switcher ( collection_view_stack ) ,
		)
		. build ()
}

pub fn create_collection_view_switcher ( stack : & ViewStack ) -> ViewSwitcher {
	ViewSwitcher :: builder ()
		. policy (Wide)
		. stack (stack)
		. build ()
}
